<ion-content *ngIf="details">
  <ion-label class="titulo">
    <h1>{{details.title}}</h1>
  </ion-label>
  <img src="{{details.backdrop_path |imagen}}" *ngIf="details.backdrop_path">
  <ion-grid fixed>
    <ion-row>
      <ion-col size="4">
        <img src="{{details.poster_path |imagen}}" *ngIf="details.poster_path" class="poster">
      </ion-col>
      <ion-col>
        <ion-item>
          <ion-icon name="star" size="small" slot="start" color="tertiary"></ion-icon>
          <ion-label>Rating</ion-label>
          <ion-note slot="end"
            [ngClass]="{'note-high':details.vote_average>=7,'note-medium':details.vote_average>=5 && details.vote_average<7,'note-low':details.vote_average<5}">
            <h6>{{details.vote_average}}</h6>
          </ion-note>
        </ion-item>
        <ion-item>
          <ion-icon name="people" size="small" slot="start" color="tertiary"></ion-icon>
          <ion-label>Votos</ion-label>
          <ion-note slot="end">
            <h6>{{details.vote_count}}</h6>
          </ion-note>
        </ion-item>
      </ion-col>
    </ion-row>

    <ion-row>
      <ion-col size="12" *ngIf="details.overview">
        <h6>{{details.overview | slice: 0: oculto }}...</h6>
        <ion-label color="primary" (click)="leerMas()" class="pointer">+Leer Más</ion-label>
      </ion-col>
      <ion-col size="12" *ngIf="!details.overview">
        (No hay Descripción disponible)
      </ion-col>
    </ion-row>

    <ion-row>
      <ion-col size="12">
        <h5>Géneros</h5>
        <ion-chip color="primary" outline="true" *ngFor="let genre of details.genres">
          <ion-label>{{genre.name}}</ion-label>
        </ion-chip>
      </ion-col>
    </ion-row>

    <ion-row>
      <ion-col size="12">
        <h5>Actores</h5>
        <ion-slides mode="md" [options]=slideOptions>
          <ion-slide *ngFor="let actor of actors">
            <ion-card class="actor-card">
              <img src="{{actor.profile_path |imagen}}" *ngIf="actor.profile_path">
              <img src="assets/no-avatar.jpg" *ngIf="!actor.profile_path">
              <h6>{{actor.name}}</h6>
            </ion-card>
          </ion-slide>
        </ion-slides>
      </ion-col>
    </ion-row>

  </ion-grid>
</ion-content>

<ion-footer>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-button (click)="volver()" color="primary">
        <ion-icon slot="start" name="arrow-back"></ion-icon>
        Volver
      </ion-button>
    </ion-buttons>
    <ion-buttons slot="end">
      <ion-button (click)="clickFavorite()" color="danger">
        <ion-icon slot="end" [name]="favIcon"></ion-icon>
        Favorito
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-footer>